Package com.orchestranetworks.rest.util

# Enum Class ResourceType

java.lang.Object
java.lang.Enum<ResourceType>
com.orchestranetworks.rest.util.ResourceType

All Implemented Interfaces:
  `Serializable`, `Comparable<ResourceType>`, `Constable`

public enum ResourceType extends Enum<ResourceType>
Identifies a type of packaged resource.

Since:
  5.9.0
See Also:
  - Packaged resources

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HTML`
  HTML document
  `ICON`
  Icon
  `IMAGE`
  Image file
  `JSCRIPT`
  JavaScript
  `STYLESHEET`
  Cascading Style Sheet (CSS)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ResourceType`
  `fromString(String aSegment)`
  Returns the `ResourceType` corresponding to the provided `String`, or `null`.
  `com.onwbp.base.repository.OResourceType`
  `toOResourceType()`
  Returns the corresponding internal `OResourceType` form.
  `static ResourceType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ResourceType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HTML

    public static final ResourceType HTML
    HTML document

  - ### ICON

    public static final ResourceType ICON
    Icon

  - ### IMAGE

    public static final ResourceType IMAGE
    Image file

  - ### JSCRIPT

    public static final ResourceType JSCRIPT
    JavaScript

  - ### STYLESHEET

    public static final ResourceType STYLESHEET
    Cascading Style Sheet (CSS)

- ## Method Details

  - ### values

    public static ResourceType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ResourceType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromString

    public static ResourceType fromString(String aSegment)
    Returns the `ResourceType` corresponding to the provided `String`, or `null`.
    Parameters:
      `aSegment` - The `String` form of an expected `ResourceType`

  - ### toOResourceType

    public com.onwbp.base.repository.OResourceType toOResourceType()
    Returns the corresponding internal `OResourceType` form.